#include <Inventor/SbLinear.h>

#ifndef _VERTEX
#define _VERTEX
	class Vertex {
		public:
			//constructor
			Vertex();

			void addforce(SbVec3f force) {this->force += force;};
			void forcezero() { force.setValue(0,0,0);};

			float mass;
			float damping;
			SbVec3f pos;
			SbVec3f velo;
			SbVec3f acc;

			SbVec3f lastacc;
			SbVec3f last2acc;
			SbVec3f force;
	};
#endif